org.jgrapht.graph

## Class UndirectedWeightedSubgraph<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.Subgraph<V,E,UndirectedGraph<V,E>>
    - - org.jgrapht.graph.UndirectedSubgraph<V,E>
      - - org.jgrapht.graph.UndirectedWeightedSubgraph<V,E>

- All Implemented Interfaces:
    Serializable, Graph<V,E>, UndirectedGraph<V,E>, WeightedGraph<V,E>

      public class UndirectedWeightedSubgraph<V,E>
      extends UndirectedSubgraph<V,E>
      implements WeightedGraph<V,E>

  An undirected weighted graph that is a subgraph on other graph.
  See Also:
    `Subgraph`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.jgrapht.WeightedGraph

      `DEFAULT_EDGE_WEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndirectedWeightedSubgraph(WeightedGraph<V,E> base, Set<V> vertexSubset, Set<E> edgeSubset)` Creates a new undirected weighted subgraph.

  - ### Method Summary

    - ### Methods inherited from class org.jgrapht.graph.UndirectedSubgraph

      `degreeOf`

    - ### Methods inherited from class org.jgrapht.graph.Subgraph

      `addEdge, addEdge, addVertex, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getBase, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeEdge, removeEdge, removeVertex, setEdgeWeight, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.WeightedGraph

      `setEdgeWeight`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### UndirectedWeightedSubgraph

          public UndirectedWeightedSubgraph(WeightedGraph<V,E> base,
                                    Set<V> vertexSubset,
                                    Set<E> edgeSubset)

      Creates a new undirected weighted subgraph.
      Parameters:
        `base` - the base (backing) graph on which the subgraph will be based.
        `vertexSubset` - vertices to include in the subgraph. If `null` then all vertices are included.
        `edgeSubset` - edges to in include in the subgraph. If `null` then all the edges whose vertices found in the graph are included.

Copyright © 2016. All rights reserved.